/**
 * 此文件内容为常用的系统枚举及变量。
 */

/**
 * 系统部署时的配置文件。
 *
 * @type {string}
 */
var configFile = "config.";

if (process.env.prod !== undefined) {
    configFile += "prod";
} else if (process.env.test !== undefined) {
    configFile += "test";
} else {
    configFile += "dev";
}

/**
 *  消息类型定义。
 */
var channels = {
    System: "0",
    Private: "1",
    Group: "2"
};

/**
 * 客户端平台。
 */
var platform = {
    iOS: "0",
    Android: "1"
};

/**
 * 组类型。
 */
var groupType = {
    AdminTeam: "1",
    DiscussionGroup: "2"
};

exports.CHANNELS = channels;
exports.CONFIG_FILE = configFile;
exports.PLATFORM = platform;
exports.GROUP_TYPE = groupType;