/**
 * REST API，以端点的形式提供。
 *
 * 若想访问包含页面的内容，请在相应的API后面添加.html。
 */
var APIv1 = {
    Application: {
        Base: '/api/v1/application',

        BadgeNo: '/badge_no'
    },

    Chats: {
        Base: "/api/v1/chats",

        List: "/list",

        // 未读消息数
        UnreadMsgCount: '/unread_count',

        // 私信
        PM: '/pm',
        PMUnreadCount: '/pm/unread_count',
        PMStats: '/pm/statistic',

        // 组信
        GM: '/gm',
        GMUnreadCount: '/gm/unread_count',
        GMStats: '/gm/statistic',

        //系统消息
        SM: '/sm'
    },

    Users: {
        Base: '/api/v1/users',

        Login: '/login',
        Logout: '/logout',

        User: '/:user_id',
        UserStatus: '/:user_id/status'
    },

    Management: {
        Base: '/api/v1/management',

        Health: '/health',
        DbStatus: '/db'
    }
};

var pages = {
    Home: {
        Index: '/'
    }
};

module.exports.PAGES = pages;
module.exports.APIv1 = APIv1;