﻿"use strict";

var imRepo = require("../repository/im.repo");

function saveMessage(from, groupId, at, contentType, content, handler) {
	imRepo.execQuery({
		"sql": "INSERT INTO groups (to_gid,from_uid,at_uid,type,content) VALUES (?,?,?,?,?)",
		"args": [groupId, from, at, contentType, content],
		"handler": handler
	});
}

function findMessage(groupId, start, count, handler) {
	var sql = "SELECT from_uid,at_uid,type,content,timestamp from groups WHERE to_gid = ? GROUP BY timestamp DESC LIMIT ";
	sql += start;
	sql += ",";
	sql += count;
	imRepo.execQuery({
		"sql": sql,
		"args": [groupId],
		"handler": handler
	});
}

exports.saveMessage = saveMessage;
exports.findMessage = findMessage;
