"use strict";

var objectUtil = require('../../../src/doctor/util/objectUtil');

var assert = require('assert');

describe('Object utilities', function(){
    describe('When test isJsonObject with "Array" object', function(){
        it('should return false', function(){
            assert.strictEqual(objectUtil.isJsonObject([1, 2]), false);
        })
    });

    describe('When test isJsonObject with "Dict" object', function () {
        it('should return true', function () {
            assert.strictEqual(objectUtil.isJsonObject({age: 2}), true);
        })
    });
});